//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

namespace CommonHelpers {

//**************************************************************************************************
partial class HConsole {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public void PrintFeaturedInscription(string inscription)
{
   PrintFeaturedInscription(false,inscription);
}

public void PrintFeaturedInscription(string inscriptionFmt,params object[] parameters)
{
   PrintFeaturedInscription(false,inscriptionFmt,parameters);
}

//--------------------------------------------------------------------------------------------------

public void PrintFeaturedInscription(ConsoleColor? color,string inscription)
{
   PrintFeaturedInscription(false,color,inscription);
}

public void PrintFeaturedInscription( ConsoleColor? color,
                                      string inscriptionFmt,
                                      params object[] parameters )
{
   PrintFeaturedInscription(false,color,inscriptionFmt,parameters);
}

//==================================================================================================

public void PrintFeaturedInscription(bool insertBlankLine,string inscription)
{
   PrintFeaturedInscription(insertBlankLine,null,inscription);
}

public void PrintFeaturedInscription( bool insertBlankLine,
                                      string inscriptionFmt,
                                      params object[] parameters )
{
   PrintFeaturedInscription(insertBlankLine,null,inscriptionFmt,parameters);
}

//--------------------------------------------------------------------------------------------------

public void PrintFeaturedInscription(bool insertBlankLine,ConsoleColor? color,string inscription)
{
   HArgChecking.VerifyNotNull( inscription );
   PrintWithExpansion( insertBlankLine,
      color ?? FeaturedInscriptionColor,
      FeaturedInscriptionFormatString, inscription );
}

public void PrintFeaturedInscription( bool insertBlankLine, ConsoleColor? color,
                                      string inscriptionFmt, params object[] parameters )
{
   PrintFeaturedInscription(insertBlankLine,color,string.Format(inscriptionFmt,parameters));
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // HConsole
//**************************************************************************************************

} // CommonHelpers
